Bug 41913 - raid-bootup improvement
Summary: raid-bootup improvement
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-22 21:22 UTC by Helge Deller
Modified: 2014-03-17 02:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-22 21:32:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch against rc.sysinit (874 bytes, patch)
2001-05-22 21:32 UTC, Helge Deller
no flags Details | Diff

Description Helge Deller 2001-05-22 21:22:55 UTC
Description of Problem:

at boot-up /etc/rc.d/rc.sysinit starts up the raiddevices from 
/etc/raidtab (if this file exists) and falls back to a raid-repair-shell 
if it can't find/load the devices. This is behaviour is correct and 
should be like that, but I use personally sometimes a raid-array on a 
external scsi-storage, which I don't want to use every time. So if I  
leave my /etc/raidtab the boot-up stops everytime with a repair-shell if 
I haven't enabled the external storage and I need to remove or rename 
/etc/raidtab and reboot the machine.

Instead rc.sysinit should verify in /etc/fstab if this raid-device should 
really be loaded at bootup (via the "noauto" flag in /etc/fstab) and 
_only_ if "noauto" is _not_ given on the fstab-line start the 
raid-services on this device.

The attached patch does this and skips initialization of raid-devices, 
which have the "noauto" flag set in /etc/fstab.

Please apply.

Comment 1 Helge Deller 2001-05-22 21:32:11 UTC
Created attachment 19350 [details]
patch against rc.sysinit

Comment 2 Bill Nottingham 2001-05-23 22:01:11 UTC
Will be in 5.88-1 - thanks.


Note You need to log in before you can comment on or make changes to this bug.